* {
    margin: 0;
    padding: 0;
}

html{
    overflow-y: scroll;
    scrollbar-width: none;
}

body {
    margin-top: 20px;
    box-sizing: border-box;
    background-color: #0d1117;
}

/* .container{
    background-color: #FBBC05;
} */

.title {
    background: linear-gradient(90deg,
            #4285F4 10%,
            #EA4335 33.33%,
            #FBBC05 66.66%,
            #34A853 100%);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    color: transparent;
    text-align: center;
    width: 335px;
    margin-left: auto;
    margin-right: auto;
}

.search {
    width: 50vw;
    border-radius: 20px;
    padding: 20px 0px 20px 0px;
    background-color: #161b22;
    margin-top: 50px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    gap: 5vh;
}

#userName {
    margin-left: auto;
    margin-right: auto;
    height: 6vh;
    width: 35vw;
    border-radius: 16px;
    text-align: center;
    border: 3px solid black;
    background-color: #0d1117;
    font-size: 20px;
    font-family: sans-serif;
    font-weight: 500;
    letter-spacing: 0.6px;
    color: white;
}

#searchbtn {
    margin-left: auto;
    margin-right: auto;
    height: 6vh;
    width: 9vw;
    border-radius: 100px;
    text-align: center;
    border: 3px solid transparent;
    background:
        linear-gradient(#0d1117, #0d1117) padding-box,
        linear-gradient(90deg, #4285F4, #EA4335, #FBBC05, #34A853) border-box;
    color: white;
    font-family: sans-serif;
    font-size: 20px;
    font-weight: 700;
    letter-spacing: 0.7px;
    cursor: pointer;
    transition: background 300ms ease-out;
}

#searchbtn:hover{
    background:
    linear-gradient(#1f242c, #262d36) padding-box,
    linear-gradient(90deg, #4285F4, #EA4335, #FBBC05, #34A853) border-box;
}

.profile{
    display: none;
    margin-top: 30px;
    height: 140px;
    width: 40vw;
    background-color: #161b22;
    margin-left: auto;
    margin-right: auto;
    padding: 15px;
    border-radius: 100px;
}

.avatar{
    display: flex;
    align-items: center;
    gap: 20px;
}

.avatar img{
    height: 142px;
    width: 142px;
    border-radius: 100px;
}

.name{
    font-family: sans-serif;
    font-size: 2vw;
    font-weight: 700;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: white;
    -webkit-text-stroke: 2px black;
}

.bio{
    font-family: sans-serif;
    font-size: 1vw;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: rgb(195, 195, 198);
    overflow: scroll;
    scrollbar-width: none;
    line-height: 3vh;
}

.follow{
    font-family: sans-serif;
    font-weight: 700;
    letter-spacing: 0.4px;
    color: rgb(233, 233, 233);
}

.repos{
    padding: 50px 154px 50px 154px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    gap: 30px;
    align-items: center;
    justify-content: center;
}

.repo{
    background-color: #161b22;
    width: 560px;
    height: 160px;
    border-radius: 20px;
    padding: 15px;
    border: 0.5px solid rgb(174, 174, 174);
}

.repoName{
    font-family: sans-serif;
    font-size: 1.4vw;
    font-weight: 700;
    letter-spacing: 1.2px;
    margin-bottom: 12px;
    color: #4493f8;
    cursor: pointer;
    display: block;
    /* width: 17vw; */
    text-decoration: none;
}

.repoName:hover{
    text-decoration: underline;
}

.des{
    font-family: sans-serif;
    font-size: 1vw;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: rgb(195, 195, 198);
    overflow: scroll;
    scrollbar-width: none;
    line-height: 3vh;
    height: 45px;
    overflow-y: scroll;
    scrollbar-width: none;
}

.flex{
    display: flex;
    gap: 3.4vw;
}

.lang{
    font-family: sans-serif;
    font-size: 1vw;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: rgb(195, 195, 198);
}

.stars{
    font-family: sans-serif;
    font-size: 1vw;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: rgb(195, 195, 198);
}

.forks{
    font-family: sans-serif;
    font-size: 1vw;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: rgb(195, 195, 198);
}

.link{
    font-family: sans-serif;
    font-size: 1.2vw;
    font-weight: 700;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    margin-top: 5px;
    color: white;
    text-decoration: none;
    display: block;
    height: 30px;
    width: 100px;
    margin-left: auto;
    margin-right: auto;
    border-radius: 100px;
    background-color: #0d1117;
    text-align: center;
    line-height: 32px;
    border: 2px solid transparent;
    background:
        linear-gradient(#0d1117, #0d1117) padding-box,
        linear-gradient(90deg, #4285F4, #EA4335, #FBBC05, #34A853) border-box;
    transition: background 300ms ease-out;
}

.link:hover{
    background:
    linear-gradient(#1f242c, #262d36) padding-box,
    linear-gradient(90deg, #4285F4, #EA4335, #FBBC05, #34A853) border-box;
}

.no{
    text-align: center;
    font-family: sans-serif;
    font-size: 1.4vw;
    font-weight: 500;
    letter-spacing: 0.5px;
    margin-bottom: 12px;
    color: white;
    margin-left: auto;
    margin-right: auto;
}

.notFound{
    text-align: center;
    font-size: 25px;
    color: white;
    font-family: sans-serif;
    line-height: 130px;
}

@media only screen and (max-width: 768px) {

    .search{
        width: 85vw;
        height: 12vh;
    }

    #userName{
        width: 60vw;
        font-size: 4vw;
    }

    #searchbtn{
        width: 30vw;
        height: 7vh;
    }

    .profile{
        width: 85vw;
        height: 13vh;

    }

    .avatar{
        gap: 5vw;
    }

    .avatar img{
        width: 25vw;
        height: 25vw;
        position: relative;
        bottom: 2px;
    }

    .name{
        font-size: 6vw;
        -webkit-text-stroke: 1px white;
        margin-bottom: 1vh;
    }

    .bio{
        height: 4.8vh;
        font-size: 4vw;
        margin-bottom: 1vh;
        overflow-y: scroll;
        scrollbar-width: none;
        line-height: 2vh;
    }

    .follow{
        font-size: 3.5vw;
        line-height: 2vh;
    }

    .repos{
        grid-template-columns: 1fr;
    }

    .repo{
        width: 78vw;
        height: 17.5vh;
    }

    .repoName{
        font-size: 4vw;
    }

    .des{
        font-size: 3vw;
        line-height: 1.6vh;
    }

    .lang{
        font-size: 2.8vw;
    }

    .stars{
        font-size: 2.8vw;
    }

    .forks{
        font-size: 2.8vw;
    }

    .link{
        font-size: 3.5vw;
        height: 3vh;
        width: 20vw;
        line-height: 3.2vh;
    }

    .no{
        font-size: 5vw;
    }

    .notFound{
        line-height: 13.5vh;
    }
    
}

@media only screen and (max-width: 335px){
    .title{
        font-size: 8vw;
    }
}